Complete an upload
Concatenate an upload's parts, in the given order, into a File, then delete the parts.
A failure after the File was committed (clearing the parts, marking the upload completed) is logged
and does not fail the request; the expiry sweep finishes that bookkeeping.
In: header
Path Parameters
The ID of the upload to complete.
^[0-9a-fA-F]{24}$Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
The part IDs to concatenate, in the order they should be assembled into the final file.
1 <= items <= 10000Response Body
curl -X POST "https://deepfellow-server-host/v1/uploads/5eb7cf5a86d9755df3a6c593/complete" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -H "Content-Type: application/json" \ -d '{ "part_ids": [ "5eb7cf5a86d9755df3a6c593" ] }'{
"filename": "string",
"purpose": "assistants",
"bytes": 1,
"mime_type": "string",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "upload",
"status": "pending",
"received_bytes": 0,
"part_count": 0,
"id": "5eb7cf5a86d9755df3a6c593",
"created_at": 0,
"expires_at": 0,
"file": {
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "file",
"bytes": 0,
"filename": "string",
"purpose": "assistants",
"created_at": 0,
"expires_at": 0,
"graph_ingestion_status": "pending",
"graph_ingestion_job_id": "5eb7cf5a86d9755df3a6c593",
"extracted_metadata": {
"property1": "string",
"property2": "string"
},
"summary": "string",
"content_type": "string",
"summary_provenance": {
"model": "string",
"options": {
"max_length": 200,
"style": "neutral",
"language": "string"
},
"job_id": "5eb7cf5a86d9755df3a6c593",
"created_at": 0,
"truncated": false
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.